> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recipients for Tenant Automation

> Get recipients for a tenant automation by id



## OpenAPI

````yaml GET /api/automations/{id}/recipients
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/automations/{id}/recipients:
    get:
      tags:
        - Tenant Automation
      summary: Get Recipients for Tenant Automation
      description: Get recipients for a tenant automation by id
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The id of the automation
          required: true
          description: The id of the automation
          name: id
          in: path
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      recipients:
                        type: array
                        items:
                          type: object
                          properties:
                            reachId:
                              type: string
                            externalId:
                              type: string
                            firstName:
                              type: string
                              nullable: true
                            lastName:
                              type: string
                              nullable: true
                            phone:
                              type: string
                              nullable: true
                            email:
                              type: string
                              nullable: true
                          required:
                            - reachId
                            - externalId
                            - firstName
                            - lastName
                            - phone
                            - email
                    required:
                      - recipients
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````